# TextDataScannerConfiguration class

Vin rtu-ui scanner configuration class

Inheritance
  - Object
  - TextDataScannerJsonConfiguration
  - TextDataScannerConfiguration

## Constructors

TextDataScannerConfiguration({CameraModule? cameraModule, Color? cameraOverlayColor, String? cancelButtonTitle, bool? cancelButtonHidden, String? enableCameraButtonTitle, String? enableCameraExplanationText, Color? finderLineColor, double? finderLineWidth, Color? finderTextHintColor, bool? flashButtonHidden, String? flashButtonTitle, bool? flashEnabled, OrientationLockMode? orientationLockMode, Color? topBarBackgroundColor, Color? topBarButtonsActiveColor, Color? topBarButtonsInactiveColor, bool? wordBoxHighlightEnabled, Color? wordBoxHighlightColor, int? minimumNumberOfRequiredFramesWithEqualRecognitionResult, int? maximumNumberOfAccumulatedFrames, int? ocrResolutionLimit, bool? useButtonsAllCaps, bool? replaceCancelButtonWithIcon, CameraPreviewMode? cameraPreviewMode, bool? touchToFocusEnabled, TextDataScannerStep? textDataScannerStep})

## Properties

cameraModule ↔ CameraModule?
  The preferred camera module (default - BACK)
  getter/setter pair inherited
cameraOverlayColor ↔ Color?
  Background color outside of the finder window.
  getter/setter pair inherited
cameraPreviewMode ↔ CameraPreviewMode?
  Preview mode of the camera. FILL_IN or FIT_IN. Default is FILL_IN. Android only
  getter/setter pair inherited
cancelButtonHidden ↔ bool?
  Whether the cancel button is hidden or not. iOS only.
  getter/setter pair inherited
cancelButtonTitle ↔ String?
  Title of the cancel button.
  getter/setter pair inherited
enableCameraButtonTitle ↔ String?
  Title of the button that opens the screen where the user can allow the usage of the camera by the app.
  getter/setter pair inherited
enableCameraExplanationText ↔ String?
  Text that will be displayed when the app is not allowed to use the camera, prompting the user to enable the usage of the camera.
  getter/setter pair inherited
finderLineColor ↔ Color?
  Foreground color of the detection overlay.
  getter/setter pair inherited
finderLineWidth ↔ double?
  Width of finder frame border. Default is 2.
  getter/setter pair inherited
finderTextHintColor ↔ Color?
  Foreground color of the description label.
  getter/setter pair inherited
flashButtonHidden ↔ bool?
  Controls whether the flash toggle button is hidden or not. iOS only.
  getter/setter pair inherited
flashButtonTitle ↔ String?
  Title of the flash toggle button. iOS only.
  getter/setter pair inherited
flashEnabled ↔ bool?
  Controls whether the flash should be initially enabled. The default value is FALSE.
  getter/setter pair inherited
hashCode → int
  The hash code for this object.
  no setter inherited
maximumNumberOfAccumulatedFrames ↔ int?
  Maximum number of accumulated frames to inspect before actual result is returned
  getter/setter pair inherited
minimumNumberOfRequiredFramesWithEqualRecognitionResult ↔ int?
  Minimum number of accumulated frames that have equal result
  getter/setter pair inherited
ocrResolutionLimit ↔ int?
  The image will be downscaled to the given value during the processing. If the quality of the scanning is not enough, try to increase the limit. This variable affects the performance of the scanning process. Higher the size limit - better the quality, but the recognition is slower. 0 - do not rescale.
  getter/setter pair inherited
orientationLockMode ↔ OrientationLockMode?
  UI Interface orientation lock mode
  getter/setter pair inherited
replaceCancelButtonWithIcon ↔ bool?
  If `true`, replaces the cancel button in the top bar with a back arrow icon. The default value is FALSE. Android only.
  getter/setter pair inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
screen ↔ String?
  The configuration object should be applied for this screen
  getter/setter pair override
textDataScannerStep ↔ TextDataScannerStep?
  Configuration for the scanned item
  getter/setter pair inherited
topBarBackgroundColor ↔ Color?
  The background color of the top toolbar.
  getter/setter pair inherited
topBarButtonsActiveColor ↔ Color?
  The color of all active toggle buttons in the toolbar.
  getter/setter pair inherited
topBarButtonsInactiveColor ↔ Color?
  The color of all inactive toggle buttons in the toolbar.
  getter/setter pair inherited
touchToFocusEnabled ↔ bool?
  Whether touch-to-focus is enabled on camera preview. Enabled by default. Android only.
  getter/setter pair inherited
useButtonsAllCaps ↔ bool?
  Controls whether buttons should use all capitals style, as defined by the Android Material Design. Defaults to TRUE. Android only.
  getter/setter pair inherited
version ↔ String?
  A version of the configuration object
  getter/setter pair inherited
wordBoxHighlightColor ↔ Color?
  The color of the highlight of the wordboxes founded on the frame
  getter/setter pair inherited
wordBoxHighlightEnabled ↔ bool?
  If the wordboxes should be highlighted when were found on the frame
  getter/setter pair inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited